source: squid-ssl/trunk/fuentes/helpers/basic_auth/SASL/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 42.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/basic_auth/SASL/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = basic_sasl_auth$(EXEEXT)
95subdir = helpers/basic_auth/SASL
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_basic_sasl_auth_OBJECTS = basic_sasl_auth.$(OBJEXT)
165basic_sasl_auth_OBJECTS = $(am_basic_sasl_auth_OBJECTS)
166#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170basic_sasl_auth_DEPENDENCIES = $(top_builddir)/lib/libmiscencoding.la \
171        $(am__DEPENDENCIES_2) $(am__DEPENDENCIES_3) \
172        $(am__DEPENDENCIES_3)
173AM_V_lt = $(am__v_lt_$(V))
174am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
175am__v_lt_0 = --silent
176am__v_lt_1 = 
177AM_V_P = $(am__v_P_$(V))
178am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
179am__v_P_0 = false
180am__v_P_1 = :
181AM_V_GEN = $(am__v_GEN_$(V))
182am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
183am__v_GEN_0 = @echo "  GEN     " $@;
184am__v_GEN_1 = 
185AM_V_at = $(am__v_at_$(V))
186am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
187am__v_at_0 = @
188am__v_at_1 = 
189DEFAULT_INCLUDES = 
190depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
191am__depfiles_maybe = depfiles
192am__mv = mv -f
193CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
194        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
195LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
196        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
197        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
198        $(AM_CXXFLAGS) $(CXXFLAGS)
199AM_V_CXX = $(am__v_CXX_$(V))
200am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
201am__v_CXX_0 = @echo "  CXX     " $@;
202am__v_CXX_1 = 
203CXXLD = $(CXX)
204CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
206        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
207AM_V_CXXLD = $(am__v_CXXLD_$(V))
208am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
209am__v_CXXLD_0 = @echo "  CXXLD   " $@;
210am__v_CXXLD_1 = 
211SOURCES = $(basic_sasl_auth_SOURCES)
212DIST_SOURCES = $(basic_sasl_auth_SOURCES)
213am__can_run_installinfo = \
214  case $$AM_UPDATE_INFO_DIR in \
215    n|no|NO) false;; \
216    *) (install-info --version) >/dev/null 2>&1;; \
217  esac
218am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
219am__vpath_adj = case $$p in \
220    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
221    *) f=$$p;; \
222  esac;
223am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
224am__install_max = 40
225am__nobase_strip_setup = \
226  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
227am__nobase_strip = \
228  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
229am__nobase_list = $(am__nobase_strip_setup); \
230  for p in $$list; do echo "$$p $$p"; done | \
231  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
232  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
233    if (++n[$$2] == $(am__install_max)) \
234      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
235    END { for (dir in files) print dir, files[dir] }'
236am__base_list = \
237  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
238  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
239am__uninstall_files_from_dir = { \
240  test -z "$$files" \
241    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
242    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
243         $(am__cd) "$$dir" && rm -f $$files; }; \
244  }
245man8dir = $(mandir)/man8
246NROFF = nroff
247MANS = $(man_MANS)
248am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
249# Read a list of newline-separated strings from the standard input,
250# and print each of them once, without duplicates.  Input order is
251# *not* preserved.
252am__uniquify_input = $(AWK) '\
253  BEGIN { nonempty = 0; } \
254  { items[$$0] = 1; nonempty = 1; } \
255  END { if (nonempty) { for (i in items) print i; }; } \
256'
257# Make sure the list of sources is unique.  This is necessary because,
258# e.g., the same source file might be shared among _SOURCES variables
259# for different programs/libraries.
260am__define_uniq_tagged_files = \
261  list='$(am__tagged_files)'; \
262  unique=`for i in $$list; do \
263    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
264  done | $(am__uniquify_input)`
265ETAGS = etags
266CTAGS = ctags
267am__tty_colors_dummy = \
268  mgn= red= grn= lgn= blu= brg= std=; \
269  am__color_tests=no
270am__tty_colors = { \
271  $(am__tty_colors_dummy); \
272  if test "X$(AM_COLOR_TESTS)" = Xno; then \
273    am__color_tests=no; \
274  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
275    am__color_tests=yes; \
276  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
277    am__color_tests=yes; \
278  fi; \
279  if test $$am__color_tests = yes; then \
280    red='[0;31m'; \
281    grn='[0;32m'; \
282    lgn='[1;32m'; \
283    blu='[1;34m'; \
284    mgn='[0;35m'; \
285    brg='[1m'; \
286    std='[m'; \
287  fi; \
288}
289am__recheck_rx = ^[     ]*:recheck:[    ]*
290am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
291am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
292# A command that, given a newline-separated list of test names on the
293# standard input, print the name of the tests that are to be re-run
294# upon "make recheck".
295am__list_recheck_tests = $(AWK) '{ \
296  recheck = 1; \
297  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
298    { \
299      if (rc < 0) \
300        { \
301          if ((getline line2 < ($$0 ".log")) < 0) \
302            recheck = 0; \
303          break; \
304        } \
305      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
306        { \
307          recheck = 0; \
308          break; \
309        } \
310      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
311        { \
312          break; \
313        } \
314    }; \
315  if (recheck) \
316    print $$0; \
317  close ($$0 ".trs"); \
318  close ($$0 ".log"); \
319}'
320# A command that, given a newline-separated list of test names on the
321# standard input, create the global log from their .trs and .log files.
322am__create_global_log = $(AWK) ' \
323function fatal(msg) \
324{ \
325  print "fatal: making $@: " msg | "cat >&2"; \
326  exit 1; \
327} \
328function rst_section(header) \
329{ \
330  print header; \
331  len = length(header); \
332  for (i = 1; i <= len; i = i + 1) \
333    printf "="; \
334  printf "\n\n"; \
335} \
336{ \
337  copy_in_global_log = 1; \
338  global_test_result = "RUN"; \
339  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
340    { \
341      if (rc < 0) \
342         fatal("failed to read from " $$0 ".trs"); \
343      if (line ~ /$(am__global_test_result_rx)/) \
344        { \
345          sub("$(am__global_test_result_rx)", "", line); \
346          sub("[        ]*$$", "", line); \
347          global_test_result = line; \
348        } \
349      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
350        copy_in_global_log = 0; \
351    }; \
352  if (copy_in_global_log) \
353    { \
354      rst_section(global_test_result ": " $$0); \
355      while ((rc = (getline line < ($$0 ".log"))) != 0) \
356      { \
357        if (rc < 0) \
358          fatal("failed to read from " $$0 ".log"); \
359        print line; \
360      }; \
361      printf "\n"; \
362    }; \
363  close ($$0 ".trs"); \
364  close ($$0 ".log"); \
365}'
366# Restructured Text title.
367am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
368# Solaris 10 'make', and several other traditional 'make' implementations,
369# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
370# by disabling -e (using the XSI extension "set +e") if it's set.
371am__sh_e_setup = case $$- in *e*) set +e;; esac
372# Default flags passed to test drivers.
373am__common_driver_flags = \
374  --color-tests "$$am__color_tests" \
375  --enable-hard-errors "$$am__enable_hard_errors" \
376  --expect-failure "$$am__expect_failure"
377# To be inserted before the command running the test.  Creates the
378# directory for the log if needed.  Stores in $dir the directory
379# containing $f, in $tst the test, in $log the log.  Executes the
380# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
381# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
382# will run the test scripts (or their associated LOG_COMPILER, if
383# thy have one).
384am__check_pre = \
385$(am__sh_e_setup);                                      \
386$(am__vpath_adj_setup) $(am__vpath_adj)                 \
387$(am__tty_colors);                                      \
388srcdir=$(srcdir); export srcdir;                        \
389case "$@" in                                            \
390  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
391    *) am__odir=.;;                                     \
392esac;                                                   \
393test "x$$am__odir" = x"." || test -d "$$am__odir"       \
394  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
395if test -f "./$$f"; then dir=./;                        \
396elif test -f "$$f"; then dir=;                          \
397else dir="$(srcdir)/"; fi;                              \
398tst=$$dir$$f; log='$@';                                 \
399if test -n '$(DISABLE_HARD_ERRORS)'; then               \
400  am__enable_hard_errors=no;                            \
401else                                                    \
402  am__enable_hard_errors=yes;                           \
403fi;                                                     \
404case " $(XFAIL_TESTS) " in                              \
405  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
406    am__expect_failure=yes;;                            \
407  *)                                                    \
408    am__expect_failure=no;;                             \
409esac;                                                   \
410$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
411# A shell command to get the names of the tests scripts with any registered
412# extension removed (i.e., equivalently, the names of the test logs, with
413# the '.log' extension removed).  The result is saved in the shell variable
414# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
415# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
416# since that might cause problem with VPATH rewrites for suffix-less tests.
417# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
418am__set_TESTS_bases = \
419  bases='$(TEST_LOGS)'; \
420  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
421  bases=`echo $$bases`
422RECHECK_LOGS = $(TEST_LOGS)
423AM_RECURSIVE_TARGETS = check recheck
424TEST_SUITE_LOG = test-suite.log
425TEST_EXTENSIONS =  .test
426am__test_logs1 = $(TESTS:=.log)
427am__test_logs2 = $(am__test_logs1:.log=.log)
428TEST_LOGS = $(am__test_logs2:.test.log=.log)
429TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
430TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
431        $(TEST_LOG_FLAGS)
432am__set_b = \
433  case '$@' in \
434    */*) \
435      case '$*' in \
436        */*) b='$*';; \
437          *) b=`echo '$@' | sed 's/\.log$$//'`; \
438       esac;; \
439    *) \
440      b='$*';; \
441  esac
442am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
443        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
444DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
445ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
446ADAPTATION_LIBS = adaptation/libadaptation.la
447ALLOCA =
448AMTAR = $${TAR-tar}
449AM_DEFAULT_VERBOSITY = 1
450AR = /usr/bin/ar
451AR_R = /usr/bin/ar r
452AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
453AUTH_MODULES =  basic digest negotiate ntlm
454AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
455AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
456AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
457AWK = gawk
458BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
459BUILDCXX = g++
460BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
461BZR =
462CACHE_EFFECTIVE_USER = proxy
463CC = gcc
464CCDEPMODE = depmode=none
465CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
466CGIEXT = .cgi
467CHMOD = /bin/chmod
468CPP = gcc -E
469CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
470CPPUNITCONFIG = /usr/bin/cppunit-config
471CRYPTLIB = -lcrypt
472CXX = g++
473CXXCPP = g++ -E
474CXXDEPMODE = depmode=none
475CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
476CYGPATH_W = echo
477DEFAULT_HOSTS = /etc/hosts
478DEFAULT_LOG_DIR = /var/log/squid-ssl
479DEFAULT_PID_FILE = /var/run/squid-ssl.pid
480DEFAULT_SWAP_DIR = /var/spool/squid-ssl
481DEFS = -DHAVE_CONFIG_H
482DEPDIR = .deps
483DIGEST_AUTH_HELPERS =  file LDAP
484DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
485DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
486DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
487DISK_OS_LIBS =  -lrt -lpthread
488DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
489DLLTOOL = false
490DSYMUTIL =
491DUMPBIN =
492ECAP_LIBS = ecap/libsquid-ecap.la
493ECHO_C =
494ECHO_N = -n
495ECHO_T =
496EGREP = /bin/egrep
497EPOLL_LIBS =
498EUILIB =
499EXEEXT =
500EXPATLIB = -lexpat
501EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
502EXT_LIBECAP_CFLAGS =
503EXT_LIBECAP_LIBS = -lecap
504FALSE = /bin/false
505FGREP = /bin/fgrep
506GREP = grep
507HAVE_CXX11 = 1
508ICAP_LIBS = icap/libicap.la
509INCLTDL =
510INSTALL = /usr/bin/install -c
511INSTALL_DATA = ${INSTALL} -m 644
512INSTALL_PROGRAM = ${INSTALL}
513INSTALL_SCRIPT = ${INSTALL}
514INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
515KRB5INCS = -isystem /usr/include/mit-krb5
516KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
517LBERLIB = -llber
518LD = /usr/bin/ld -m elf_x86_64
519LDAPLIB = -lldap
520LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
521LIBADD_DL = -ldl
522LIBADD_DLD_LINK =
523LIBADD_DLOPEN = -ldl
524LIBADD_SHL_LOAD =
525LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
526LIBGNUTLS_LIBS = -lgnutls
527LIBLTDL = -lltdl
528LIBOBJS =
529LIBOPENSSL_CFLAGS =
530LIBOPENSSL_LIBS = -lssl -lcrypto
531LIBS =
532LIBSASL = -lsasl2
533LIBTOOL = $(SHELL) $(top_builddir)/libtool
534LIB_DB = -ldb
535LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
536LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
537LINUXDOC = /bin/false
538LIPO =
539LN = /bin/ln
540LN_S = ln -s
541LOG_DAEMON_HELPERS =  DB file
542LTDLDEPS =
543LTDLINCL =
544LTDLOPEN = libltdl
545LTLIBOBJS =
546LT_ARGZ_H =
547LT_CONFIG_H = include/autoconf.h
548LT_DLLOADERS =  libltdl/dlopen.la
549LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
550LT_SYS_LIBRARY_PATH =
551MAINT = #
552MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
553MANIFEST_TOOL = :
554MINGW_LIBS =
555MKDIR = /bin/mkdir
556MKDIR_P = /bin/mkdir -p
557MV = /bin/mv
558NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
559NETTLELIB =  -lnettle
560NM = /usr/bin/nm -B
561NMEDIT =
562NTLM_AUTH_HELPERS =  fake smb_lm
563OBJDUMP = objdump
564OBJEXT = o
565OTOOL =
566OTOOL64 =
567PACKAGE = squid
568PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
569PACKAGE_NAME = Squid Web Proxy
570PACKAGE_STRING = Squid Web Proxy 3.5.12
571PACKAGE_TARNAME = squid
572PACKAGE_URL =
573PACKAGE_VERSION = 3.5.12
574PATH_SEPARATOR = :
575PERL = /usr/bin/perl
576PKG_CONFIG = /usr/bin/pkg-config
577PKG_CONFIG_LIBDIR =
578PKG_CONFIG_PATH =
579PO2HTML = off
580PO2TEXT = off
581POD2MAN = /usr/bin/pod2man
582RANLIB = ranlib
583REGEXLIB =
584REPL_LIBS = liblru.a libheap.a
585REPL_OBJS = repl/liblru.a repl/libheap.a
586REPL_POLICIES = lru heap
587RM = /bin/rm -f
588SED = /bin/sed
589SET_MAKE =
590SH = /bin/sh
591SHELL = /bin/bash
592SMBCLIENT = /usr/bin/smbclient
593SNMPLIB = ../lib/snmplib/libsnmplib.la
594SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
595SQUID_CPPUNIT_INC =
596SQUID_CPPUNIT_LA =
597SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
598SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
599SSLLIB =  -lssl -lcrypto  -lgnutls
600STOREID_REWRITE_HELPERS =  file
601STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
602STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
603STORE_TESTS =
604STRIP = strip
605TR = /usr/bin/tr
606TRUE = /bin/true
607URL_REWRITE_HELPERS =  fake
608VERSION = 3.5.12
609WBINFO =
610WIN32_PSAPI =
611XMLLIB = -lxml2
612XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
613XTRA_OBJS =
614abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/SASL
615abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/basic_auth/SASL
616abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
617abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
618ac_ct_AR =
619ac_ct_CC = gcc
620ac_ct_CXX = g++
621ac_ct_DUMPBIN =
622am__include = include
623am__leading_dot = .
624am__quote =
625am__tar = tar --format=ustar -chf - "$$tardir"
626am__untar = tar -xf -
627bindir = ${exec_prefix}/bin
628build = x86_64-pc-linux-gnu
629build_alias = x86_64-linux-gnu
630build_cpu = x86_64
631build_os = linux-gnu
632build_vendor = pc
633builddir = .
634datadir = /usr/share/squid-ssl
635datarootdir = ${prefix}/share
636docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
637dvidir = ${docdir}
638exec_prefix = ${prefix}
639host = x86_64-pc-linux-gnu
640host_alias =
641host_cpu = x86_64
642host_os = linux-gnu
643host_vendor = pc
644htmldir = ${docdir}
645includedir = ${prefix}/include
646infodir = ${prefix}/share/info
647install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
648krb5_config =
649libdir = ${exec_prefix}/lib
650libexecdir = /usr/lib/squid-ssl
651localedir = ${datarootdir}/locale
652localstatedir = /var
653ltdl_LIBOBJS =  lt__strl.o
654ltdl_LTLIBOBJS =  lt__strl.lo
655mandir = /usr/share/man
656mkdir_p = $(MKDIR_P)
657oldincludedir = /usr/include
658pdfdir = ${docdir}
659prefix = /usr
660program_transform_name = s&$$&-ssl&
661psdir = ${docdir}
662runstatedir = ${localstatedir}/run
663sbindir = ${exec_prefix}/sbin
664sharedstatedir = ${prefix}/com
665srcdir = .
666subdirs =  libltdl
667sys_symbol_underscore = no
668sysconfdir = /etc/squid-ssl
669target_alias =
670top_build_prefix = ../../../
671top_builddir = ../../..
672top_srcdir = ../../..
673AM_CFLAGS = $(SQUID_CFLAGS)
674AM_CXXFLAGS = $(SQUID_CXXFLAGS)
675CLEANFILES =
676AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
677        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
678        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
679        $(am__append_1)
680LIBPROFILER =
681#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
682COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
683subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
684man_MANS = basic_sasl_auth.8
685basic_sasl_auth_SOURCES = basic_sasl_auth.cc
686basic_sasl_auth_LDADD = \
687        $(top_builddir)/lib/libmiscencoding.la \
688        $(COMPAT_LIB) \
689        $(LIBSASL) \
690        $(XTRA_LIBS)
691
692EXTRA_DIST = \
693        basic_sasl_auth.8 \
694        basic_sasl_auth.conf \
695        basic_sasl_auth.pam \
696        required.m4
697
698all: all-am
699
700.SUFFIXES:
701.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
702$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
703        @for dep in $?; do \
704          case '$(am__configure_deps)' in \
705            *$$dep*) \
706              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
707                && { if test -f $@; then exit 0; else break; fi; }; \
708              exit 1;; \
709          esac; \
710        done; \
711        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/basic_auth/SASL/Makefile'; \
712        $(am__cd) $(top_srcdir) && \
713          $(AUTOMAKE) --gnu helpers/basic_auth/SASL/Makefile
714Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
715        @case '$?' in \
716          *config.status*) \
717            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
718          *) \
719            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
720            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
721        esac;
722$(top_srcdir)/src/Common.am $(am__empty):
723
724$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
725        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
726
727$(top_srcdir)/configure: # $(am__configure_deps)
728        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
729$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
730        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
731$(am__aclocal_m4_deps):
732
733clean-checkPROGRAMS:
734        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
735        echo " rm -f" $$list; \
736        rm -f $$list || exit $$?; \
737        test -n "$(EXEEXT)" || exit 0; \
738        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
739        echo " rm -f" $$list; \
740        rm -f $$list
741install-libexecPROGRAMS: $(libexec_PROGRAMS)
742        @$(NORMAL_INSTALL)
743        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
744        if test -n "$$list"; then \
745          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
746          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
747        fi; \
748        for p in $$list; do echo "$$p $$p"; done | \
749        sed 's/$(EXEEXT)$$//' | \
750        while read p p1; do if test -f $$p \
751         || test -f $$p1 \
752          ; then echo "$$p"; echo "$$p"; else :; fi; \
753        done | \
754        sed -e 'p;s,.*/,,;n;h' \
755            -e 's|.*|.|' \
756            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
757        sed 'N;N;N;s,\n, ,g' | \
758        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
759          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
760            if ($$2 == $$4) files[d] = files[d] " " $$1; \
761            else { print "f", $$3 "/" $$4, $$1; } } \
762          END { for (d in files) print "f", d, files[d] }' | \
763        while read type dir files; do \
764            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
765            test -z "$$files" || { \
766            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
767            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
768            } \
769        ; done
770
771uninstall-libexecPROGRAMS:
772        @$(NORMAL_UNINSTALL)
773        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
774        files=`for p in $$list; do echo "$$p"; done | \
775          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
776              -e 's/$$/$(EXEEXT)/' \
777        `; \
778        test -n "$$list" || exit 0; \
779        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
780        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
781
782clean-libexecPROGRAMS:
783        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
784        echo " rm -f" $$list; \
785        rm -f $$list || exit $$?; \
786        test -n "$(EXEEXT)" || exit 0; \
787        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
788        echo " rm -f" $$list; \
789        rm -f $$list
790
791basic_sasl_auth$(EXEEXT): $(basic_sasl_auth_OBJECTS) $(basic_sasl_auth_DEPENDENCIES) $(EXTRA_basic_sasl_auth_DEPENDENCIES) 
792        @rm -f basic_sasl_auth$(EXEEXT)
793        $(AM_V_CXXLD)$(CXXLINK) $(basic_sasl_auth_OBJECTS) $(basic_sasl_auth_LDADD) $(LIBS)
794
795mostlyclean-compile:
796        -rm -f *.$(OBJEXT)
797
798distclean-compile:
799        -rm -f *.tab.c
800
801#include ./$(DEPDIR)/basic_sasl_auth.Po
802
803.cc.o:
804#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
805#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
806#       $(am__mv) $$depbase.Tpo $$depbase.Po
807#       $(AM_V_CXX)source='$<' object='$@' libtool=no
808#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
809        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
810
811.cc.obj:
812#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
813#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
814#       $(am__mv) $$depbase.Tpo $$depbase.Po
815#       $(AM_V_CXX)source='$<' object='$@' libtool=no
816#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
817        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
818
819.cc.lo:
820#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
821#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
822#       $(am__mv) $$depbase.Tpo $$depbase.Plo
823#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
824#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
825        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
826
827mostlyclean-libtool:
828        -rm -f *.lo
829
830clean-libtool:
831        -rm -rf .libs _libs
832install-man8: $(man_MANS)
833        @$(NORMAL_INSTALL)
834        @list1=''; \
835        list2='$(man_MANS)'; \
836        test -n "$(man8dir)" \
837          && test -n "`echo $$list1$$list2`" \
838          || exit 0; \
839        echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
840        $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
841        { for i in $$list1; do echo "$$i"; done\
842        if test -n "$$list2"; then \
843          for i in $$list2; do echo "$$i"; done \
844            | sed -n '/\.8[a-z]*$$/p'; \
845        fi; \
846        } | while read p; do \
847          if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
848          echo "$$d$$p"; echo "$$p"; \
849        done | \
850        sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
851              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
852        sed 'N;N;s,\n, ,g' | { \
853        list=; while read file base inst; do \
854          if test "$$base" = "$$inst"; then list="$$list $$file"; else \
855            echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
856            $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
857          fi; \
858        done; \
859        for i in $$list; do echo "$$i"; done | $(am__base_list) | \
860        while read files; do \
861          test -z "$$files" || { \
862            echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
863            $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
864        done; }
865
866uninstall-man8:
867        @$(NORMAL_UNINSTALL)
868        @list=''; test -n "$(man8dir)" || exit 0; \
869        files=`{ for i in $$list; do echo "$$i"; done; \
870        l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
871          sed -n '/\.8[a-z]*$$/p'; \
872        } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
873              -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
874        dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
875
876ID: $(am__tagged_files)
877        $(am__define_uniq_tagged_files); mkid -fID $$unique
878tags: tags-am
879TAGS: tags
880
881tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
882        set x; \
883        here=`pwd`; \
884        $(am__define_uniq_tagged_files); \
885        shift; \
886        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
887          test -n "$$unique" || unique=$$empty_fix; \
888          if test $$# -gt 0; then \
889            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
890              "$$@" $$unique; \
891          else \
892            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
893              $$unique; \
894          fi; \
895        fi
896ctags: ctags-am
897
898CTAGS: ctags
899ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
900        $(am__define_uniq_tagged_files); \
901        test -z "$(CTAGS_ARGS)$$unique" \
902          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
903             $$unique
904
905GTAGS:
906        here=`$(am__cd) $(top_builddir) && pwd` \
907          && $(am__cd) $(top_srcdir) \
908          && gtags -i $(GTAGS_ARGS) "$$here"
909cscopelist: cscopelist-am
910
911cscopelist-am: $(am__tagged_files)
912        list='$(am__tagged_files)'; \
913        case "$(srcdir)" in \
914          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
915          *) sdir=$(subdir)/$(srcdir) ;; \
916        esac; \
917        for i in $$list; do \
918          if test -f "$$i"; then \
919            echo "$(subdir)/$$i"; \
920          else \
921            echo "$$sdir/$$i"; \
922          fi; \
923        done >> $(top_builddir)/cscope.files
924
925distclean-tags:
926        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
927
928# Recover from deleted '.trs' file; this should ensure that
929# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
930# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
931# to avoid problems with "make -n".
932.log.trs:
933        rm -f $< $@
934        $(MAKE) $(AM_MAKEFLAGS) $<
935
936# Leading 'am--fnord' is there to ensure the list of targets does not
937# expand to empty, as could happen e.g. with make check TESTS=''.
938am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
939am--force-recheck:
940        @:
941
942$(TEST_SUITE_LOG): $(TEST_LOGS)
943        @$(am__set_TESTS_bases); \
944        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
945        redo_bases=`for i in $$bases; do \
946                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
947                    done`; \
948        if test -n "$$redo_bases"; then \
949          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
950          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
951          if $(am__make_dryrun); then :; else \
952            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
953          fi; \
954        fi; \
955        if test -n "$$am__remaking_logs"; then \
956          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
957               "recursion detected" >&2; \
958        elif test -n "$$redo_logs"; then \
959          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
960        fi; \
961        if $(am__make_dryrun); then :; else \
962          st=0;  \
963          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
964          for i in $$redo_bases; do \
965            test -f $$i.trs && test -r $$i.trs \
966              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
967            test -f $$i.log && test -r $$i.log \
968              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
969          done; \
970          test $$st -eq 0 || exit 1; \
971        fi
972        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
973        ws='[   ]'; \
974        results=`for b in $$bases; do echo $$b.trs; done`; \
975        test -n "$$results" || results=/dev/null; \
976        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
977        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
978        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
979        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
980        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
981        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
982        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
983        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
984          success=true; \
985        else \
986          success=false; \
987        fi; \
988        br='==================='; br=$$br$$br$$br$$br; \
989        result_count () \
990        { \
991            if test x"$$1" = x"--maybe-color"; then \
992              maybe_colorize=yes; \
993            elif test x"$$1" = x"--no-color"; then \
994              maybe_colorize=no; \
995            else \
996              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
997            fi; \
998            shift; \
999            desc=$$1 count=$$2; \
1000            if test $$maybe_colorize = yes && test $$count -gt 0; then \
1001              color_start=$$3 color_end=$$std; \
1002            else \
1003              color_start= color_end=; \
1004            fi; \
1005            echo "$${color_start}# $$desc $$count$${color_end}"; \
1006        }; \
1007        create_testsuite_report () \
1008        { \
1009          result_count $$1 "TOTAL:" $$all   "$$brg"; \
1010          result_count $$1 "PASS: " $$pass  "$$grn"; \
1011          result_count $$1 "SKIP: " $$skip  "$$blu"; \
1012          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1013          result_count $$1 "FAIL: " $$fail  "$$red"; \
1014          result_count $$1 "XPASS:" $$xpass "$$red"; \
1015          result_count $$1 "ERROR:" $$error "$$mgn"; \
1016        }; \
1017        {                                                               \
1018          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
1019            $(am__rst_title);                                           \
1020          create_testsuite_report --no-color;                           \
1021          echo;                                                         \
1022          echo ".. contents:: :depth: 2";                               \
1023          echo;                                                         \
1024          for b in $$bases; do echo $$b; done                           \
1025            | $(am__create_global_log);                                 \
1026        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
1027        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
1028        if $$success; then                                              \
1029          col="$$grn";                                                  \
1030         else                                                           \
1031          col="$$red";                                                  \
1032          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
1033        fi;                                                             \
1034        echo "$${col}$$br$${std}";                                      \
1035        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
1036        echo "$${col}$$br$${std}";                                      \
1037        create_testsuite_report --maybe-color;                          \
1038        echo "$$col$$br$$std";                                          \
1039        if $$success; then :; else                                      \
1040          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
1041          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
1042            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
1043          fi;                                                           \
1044          echo "$$col$$br$$std";                                        \
1045        fi;                                                             \
1046        $$success || exit 1
1047
1048check-TESTS:
1049        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1050        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1051        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1052        @set +e; $(am__set_TESTS_bases); \
1053        log_list=`for i in $$bases; do echo $$i.log; done`; \
1054        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1055        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1056        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1057        exit $$?;
1058recheck: all $(check_PROGRAMS)
1059        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1060        @set +e; $(am__set_TESTS_bases); \
1061        bases=`for i in $$bases; do echo $$i; done \
1062                 | $(am__list_recheck_tests)` || exit 1; \
1063        log_list=`for i in $$bases; do echo $$i.log; done`; \
1064        log_list=`echo $$log_list`; \
1065        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1066                am__force_recheck=am--force-recheck \
1067                TEST_LOGS="$$log_list"; \
1068        exit $$?
1069.test.log:
1070        @p='$<'; \
1071        $(am__set_b); \
1072        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1073        --log-file $$b.log --trs-file $$b.trs \
1074        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1075        "$$tst" $(AM_TESTS_FD_REDIRECT)
1076#.test$(EXEEXT).log:
1077#       @p='$<'; \
1078#       $(am__set_b); \
1079#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1080#       --log-file $$b.log --trs-file $$b.trs \
1081#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1082#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1083
1084distdir: $(DISTFILES)
1085        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1086        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1087        list='$(DISTFILES)'; \
1088          dist_files=`for file in $$list; do echo $$file; done | \
1089          sed -e "s|^$$srcdirstrip/||;t" \
1090              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1091        case $$dist_files in \
1092          */*) $(MKDIR_P) `echo "$$dist_files" | \
1093                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1094                           sort -u` ;; \
1095        esac; \
1096        for file in $$dist_files; do \
1097          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1098          if test -d $$d/$$file; then \
1099            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1100            if test -d "$(distdir)/$$file"; then \
1101              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1102            fi; \
1103            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1104              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1105              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1106            fi; \
1107            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1108          else \
1109            test -f "$(distdir)/$$file" \
1110            || cp -p $$d/$$file "$(distdir)/$$file" \
1111            || exit 1; \
1112          fi; \
1113        done
1114check-am: all-am
1115        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1116        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1117check: check-am
1118all-am: Makefile $(PROGRAMS) $(MANS)
1119installdirs:
1120        for dir in "$(DESTDIR)$(libexecdir)" "$(DESTDIR)$(man8dir)"; do \
1121          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1122        done
1123install: install-am
1124install-exec: install-exec-am
1125install-data: install-data-am
1126uninstall: uninstall-am
1127
1128install-am: all-am
1129        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1130
1131installcheck: installcheck-am
1132install-strip:
1133        if test -z '$(STRIP)'; then \
1134          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1135            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1136              install; \
1137        else \
1138          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1139            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1140            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1141        fi
1142mostlyclean-generic:
1143        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1144        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1145        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1146
1147clean-generic:
1148        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1149
1150distclean-generic:
1151        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1152        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1153
1154maintainer-clean-generic:
1155        @echo "This command is intended for maintainers to use"
1156        @echo "it deletes files that may require special tools to rebuild."
1157clean: clean-am
1158
1159clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1160        clean-libtool mostlyclean-am
1161
1162distclean: distclean-am
1163        -rm -rf ./$(DEPDIR)
1164        -rm -f Makefile
1165distclean-am: clean-am distclean-compile distclean-generic \
1166        distclean-tags
1167
1168dvi: dvi-am
1169
1170dvi-am:
1171
1172html: html-am
1173
1174html-am:
1175
1176info: info-am
1177
1178info-am:
1179
1180install-data-am: install-man
1181
1182install-dvi: install-dvi-am
1183
1184install-dvi-am:
1185
1186install-exec-am: install-libexecPROGRAMS
1187
1188install-html: install-html-am
1189
1190install-html-am:
1191
1192install-info: install-info-am
1193
1194install-info-am:
1195
1196install-man: install-man8
1197
1198install-pdf: install-pdf-am
1199
1200install-pdf-am:
1201
1202install-ps: install-ps-am
1203
1204install-ps-am:
1205
1206installcheck-am:
1207
1208maintainer-clean: maintainer-clean-am
1209        -rm -rf ./$(DEPDIR)
1210        -rm -f Makefile
1211maintainer-clean-am: distclean-am maintainer-clean-generic
1212
1213mostlyclean: mostlyclean-am
1214
1215mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1216        mostlyclean-libtool
1217
1218pdf: pdf-am
1219
1220pdf-am:
1221
1222ps: ps-am
1223
1224ps-am:
1225
1226uninstall-am: uninstall-libexecPROGRAMS uninstall-man
1227
1228uninstall-man: uninstall-man8
1229
1230.MAKE: check-am install-am install-strip
1231
1232.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1233        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1234        clean-libtool cscopelist-am ctags ctags-am distclean \
1235        distclean-compile distclean-generic distclean-libtool \
1236        distclean-tags distdir dvi dvi-am html html-am info info-am \
1237        install install-am install-data install-data-am install-dvi \
1238        install-dvi-am install-exec install-exec-am install-html \
1239        install-html-am install-info install-info-am \
1240        install-libexecPROGRAMS install-man install-man8 install-pdf \
1241        install-pdf-am install-ps install-ps-am install-strip \
1242        installcheck installcheck-am installdirs maintainer-clean \
1243        maintainer-clean-generic mostlyclean mostlyclean-compile \
1244        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1245        recheck tags tags-am uninstall uninstall-am \
1246        uninstall-libexecPROGRAMS uninstall-man uninstall-man8
1247
1248.PRECIOUS: Makefile
1249
1250
1251$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1252
1253# Tell versions [3.59,3.63) of GNU make to not export all variables.
1254# Otherwise a system limit (for SysV at least) may be exceeded.
1255.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.